EnderDashEnderDash

Save Note

Save Note. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/ocelot.saveNote

Save Note. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
title*string
content*string
tags?array<string>

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/ocelot.saveNote" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "content": "string"  }'
{  "result": {    "data": {      "saved": true,      "noteId": "string"    }  }}